% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qra_fit_convenience.R
\name{build_covid_ensemble_from_zoltar}
\alias{build_covid_ensemble_from_zoltar}
\title{Download covid forecasts from zoltar and fit one ensemble}
\usage{
build_covid_ensemble_from_zoltar(
  candidate_model_abbreviations_to_include,
  targets,
  forecast_week_end_date,
  timezero_window_size = 1,
  window_size,
  intercept = FALSE,
  constraint,
  quantile_groups,
  missingness,
  impute_method,
  backend,
  project_url = "https://www.zoltardata.com/api/project/44/",
  required_quantiles,
  do_q10_check,
  do_nondecreasing_quantile_check,
  manual_eligibility_adjust,
  return_eligibility = TRUE,
  return_all = TRUE
)
}
\arguments{
\item{candidate_model_abbreviations_to_include}{List of model abbreviations
for models that may be included in ensemble forecast}

\item{targets}{character vector of targets to retrieve, for example
c('1 wk ahead cum death', '2 wk ahead cum death')}

\item{forecast_week_end_date}{date of a s}

\item{timezero_window_size}{The number of days back to go.  A window size of
0 will retrieve only forecasts submitted on the \code{last_timezero} date.}

\item{window_size}{size of window}

\item{intercept}{logical specifying whether an intercept is included}

\item{constraint}{character specifying constraints on parameters; 'ew',
'convex', 'positive' or 'unconstrained'}

\item{quantile_groups}{Vector of group labels for quantiles, having the same
length as the number of quantiles.  Common labels indicate that the ensemble
weights for the corresponding quantile levels should be tied together.
Default is rep(1,length(quantiles)), which means that a common set of
ensemble weights should be used across all levels.  This is the argument
\code{tau_groups} for \code{quantmod::quantile_ensemble}, and may only be supplied if
\verb{backend = 'quantmod}}

\item{missingness}{character specifying approach to handling missing
forecasts: 'by_location_group', 'rescale', or 'impute'}

\item{impute_method}{character string specifying method for imputing missing
forecasts; currently only 'mean' is supported.}

\item{backend}{back end used for optimization.}

\item{project_url}{zoltar project url}

\item{required_quantiles}{numeric vector of quantiles component models are
required to have submitted}

\item{do_q10_check}{if TRUE, do q10 check}

\item{do_nondecreasing_quantile_check}{if TRUE, do nondecreasing quantile check}

\item{return_eligibility}{if TRUE, return model eligibility}
}
\value{
data frame with ensemble forecasts by location
}
\description{
Download covid forecasts from zoltar and fit one ensemble
}
